# About
A tool that lets you remotely try new exotic hardware such as Tenstorrent Wormhole or SiFive P550 Dev board from the comfort of your browser.


# Building
```bash
nix-shell
make serve RELEASE=1 # can also do DEBUG=1 instead
```

Now open `http://127.0.0.1:8080` in your browser.

# TODO

 - [ ] Binding to `0.0.0.0` should not be default behavior.
 - [ ] Rename `term.rs` to `terminal.rs` unless there is a good reason not to.
 - [ ] Move to `actix-ws`
 - [ ] Use [`spawn_local`][discord_chat] instead of `addr.do_send`
 - [ ] Re-factor if and else branches of `term::msg_handler`
 - [ ] Stopping the websocket should terminate terminal. The ergonomic way
       to do this is to have each widget provision its own stop handler.
 - [ ] Reduce warnings, especially from unused imports.
 - [ ] Implement logic for `CloseTerm` UpMsg for terminal
 - [ ] Implement terminal
 - [ ] Start by simply adding new term page
 - [ ] Close websocket after 15s of no response(from frontend) to websocket pings
 - [ ] Implement dark mode


[discord_chat]: https://discord.com/channels/771444961383153695/771447545154371646/1327308910654259291
